CVE-2015-3406

NameCVE-2015-3406
Descriptionunsigned files interpreted as signed in some circumstances
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-264-1, DSA-3261-1
Debian Bugs783451

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmodule-signature-perl (PTS)wheezy, wheezy (security)0.68-1+deb7u3fixed
jessie (security), jessie0.73-1+deb8u2fixed
buster, sid, stretch0.81-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmodule-signature-perlsource(unstable)0.78-1783451
libmodule-signature-perlsourcejessie0.73-1+deb8u1DSA-3261-1
libmodule-signature-perlsourcesqueeze0.63-1+squeeze2DLA-264-1
libmodule-signature-perlsourcewheezy0.68-1+deb7u2DSA-3261-1

Notes

Upstream fix: https://github.com/audreyt/module-signature/commit/8a9164596fa5952d4fbcde5aa1c7d1c7bc85372f
http://www.openwall.com/lists/oss-security/2015/04/07/1
Changes might needed in libtest-signature-perl, need further investigation

Search for package or bug name: Reporting problems